National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2007-4045 Detail

Current Description

The CUPS service, as used in SUSE Linux before 20070720 and other Linux distributions, allows remote attackers to cause a denial of service via unspecified vectors related to an incomplete fix for CVE-2007-0720 that introduced a different denial of service problem in SSL negotiation.

Source:  MITRE      Last Modified:  07/27/2007      View Analysis Description

Quick Info

CVE Dictionary Entry:
CVE-2007-4045
Original release date:
07/27/2007
Last revised:
09/28/2017
Source:
US-CERT/NIST

Impact

CVSS Severity (version 2.0):
CVSS v2 Base Score:
5.0 MEDIUM
Vector:
(AV:N/AC:L/Au:N/C:N/I:N/A:P) (legend)
Impact Subscore:
2.9
Exploitability Subscore:
10.0
CVSS Version 2 Metrics:
Access Vector:
Network exploitable
Access Complexity:
Low
Authentication:
Not required to exploit
Impact Type:
Allows disruption of service

Vendor Statements (disclaimer)

Official Statement from Red Hat (11/09/2007)

The Red Hat Security Response Team has rated this issue as having low security impact. Updates to correct this are available: https://rhn.redhat.com/cve/CVE-2007-4045.html

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource Type Source Name
http://bugs.gentoo.org/show_bug.cgi?id=199195 External Source CONFIRM http://bugs.gentoo.org/show_bug.cgi?id=199195
http://support.avaya.com/elmodocs2/security/ASA-2007-476.htm External Source CONFIRM http://support.avaya.com/elmodocs2/security/ASA-2007-476.htm
http://www.gentoo.org/security/en/glsa/glsa-200712-14.xml External Source GENTOO GLSA-200712-14
http://www.mandriva.com/security/advisories?name=MDVSA-2008:036 External Source MANDRIVA MDVSA-2008:036
http://www.novell.com/linux/security/advisories/2007_14_sr.html External Source SUSE SUSE-SR:2007:014
http://www.redhat.com/support/errata/RHSA-2007-1022.html External Source REDHAT RHSA-2007:1022
http://www.redhat.com/support/errata/RHSA-2007-1023.html External Source REDHAT RHSA-2007:1023
http://www.securityfocus.com/bid/26524 External Source BID 26524
https://bugzilla.redhat.com/show_bug.cgi?id=250161 External Source CONFIRM https://bugzilla.redhat.com/show_bug.cgi?id=250161
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A9303 External Source OVAL oval:org.mitre.oval:def:9303
https://www.redhat.com/archives/fedora-package-announce/2007-November/msg00238.html External Source FEDORA FEDORA-2007-3100

References to Check Content

Identifier:
oval:org.mitre.oval:def:9303
Check System:
http://oval.mitre.org/XMLSchema/oval-definitions-5
Hyperlink:
http://oval.mitre.org/repository/data/DownloadDefinition?id=oval:org.mitre.oval:def:9303

Technical Details

Vulnerability Type (View All)

Change History 2 change records found - show changes